NCVMatrix< T > Class Template Reference

NCVMatrix (2D) More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVMatrix< T >:

## Public Member Functions

| NCVMatrix ()
virtual | ~NCVMatrix ()
void | clear ()
Ncv32u | stride () const
NCVStatus | copySolid (NCVMatrix< T > &dst, cudaStream_t cuStream, size_t howMuch=0) const
NCVStatus | copy2D (NCVMatrix< T > &dst, NcvSize32u roi, cudaStream_t cuStream) const
T & | at (Ncv32u x, Ncv32u y) const
T * | ptr () const
Ncv32u | width () const
Ncv32u | height () const
NcvSize32u | size () const
Ncv32u | pitch () const
NCVMemoryType | memType () const

## Protected Attributes

T * | _ptr
Ncv32u | _width
Ncv32u | _height
Ncv32u | _pitch
NCVMemoryType | _memtype

## Detailed Description

### template<class T>
class NCVMatrix< T >

NCVMatrix (2D)

Definition at line 695 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVMatrix()

template<class T>

NCVMatrix< T >::NCVMatrix | ( |  | ) |

inline

Definition at line 701 of file NCV.hpp.

## ~NCVMatrix()

template<class T>

virtual NCVMatrix< T >::~NCVMatrix | ( |  | ) |

inline virtual

Definition at line 706 of file NCV.hpp.

## Member Function Documentation

## at()

template<class T>

T& NCVMatrix< T >::at | ( | Ncv32u | x,
|  | Ncv32u | y
| ) |  | const

inline

Definition at line 769 of file NCV.hpp.

Referenced by __pixColorConv< NCVColorSpaceGray, NCVColorSpaceRGBA, Tin, Tout >::_pixColorConv(), and NCVMatrixReuse< T >::NCVMatrixReuse().

## clear()

template<class T>

void NCVMatrix< T >::clear | ( |  | ) |

inline

Definition at line 708 of file NCV.hpp.

## copy2D()

template<class T>

NCVStatus NCVMatrix< T >::copy2D | ( | NCVMatrix< T > & | dst,
|  | NcvSize32u | roi,
|  | cudaStream_t | cuStream
| ) |  | const

inline

Definition at line 751 of file NCV.hpp.

References NCVMatrix< T >::_memtype, NCVMatrix< T >::_pitch, NCVMatrix< T >::_ptr, NcvSize32u::height, NCVMatrix< T >::height(), NcvSize32u::width, and NCVMatrix< T >::width().

## copySolid()

template<class T>

NCVStatus NCVMatrix< T >::copySolid | ( | NCVMatrix< T > & | dst,
|  | cudaStream_t | cuStream,
|  | size_t | howMuch = `0`
| ) |  | const

inline

Definition at line 723 of file NCV.hpp.

References NCVMatrix< T >::_height, NCVMatrix< T >::_memtype, NCVMatrix< T >::_pitch, and NCVMatrix< T >::_ptr.

## height()

template<class T>

Ncv32u NCVMatrix< T >::height | ( |  | ) | const

inline

Definition at line 782 of file NCV.hpp.

Referenced by __pixColorConv< NCVColorSpaceGray, NCVColorSpaceRGBA, Tin, Tout >::_pixColorConv(), NCVMatrix< T >::copy2D(), and NCVMatrixReuse< T >::NCVMatrixReuse().

## memType()

template<class T>

NCVMemoryType NCVMatrix< T >::memType | ( | void |  | ) | const

inline

Definition at line 785 of file NCV.hpp.

Referenced by __pixColorConv< NCVColorSpaceGray, NCVColorSpaceRGBA, Tin, Tout >::_pixColorConv(), and NCVMatrixReuse< T >::NCVMatrixReuse().

## pitch()

template<class T>

Ncv32u NCVMatrix< T >::pitch | ( |  | ) | const

inline

Definition at line 784 of file NCV.hpp.

Referenced by NCVMatrixReuse< T >::NCVMatrixReuse().

## ptr()

template<class T>

T* NCVMatrix< T >::ptr | ( |  | ) | const

inline

Definition at line 780 of file NCV.hpp.

## size()

template<class T>

NcvSize32u NCVMatrix< T >::size | ( |  | ) | const

inline

Definition at line 783 of file NCV.hpp.

Referenced by __pixColorConv< NCVColorSpaceGray, NCVColorSpaceRGBA, Tin, Tout >::_pixColorConv().

## stride()

template<class T>

Ncv32u NCVMatrix< T >::stride | ( |  | ) | const

inline

Definition at line 717 of file NCV.hpp.

## width()

template<class T>

Ncv32u NCVMatrix< T >::width | ( |  | ) | const

inline

Definition at line 781 of file NCV.hpp.

Referenced by __pixColorConv< NCVColorSpaceGray, NCVColorSpaceRGBA, Tin, Tout >::_pixColorConv(), NCVMatrix< T >::copy2D(), and NCVMatrixReuse< T >::NCVMatrixReuse().

## Member Data Documentation

## _height

template<class T>

Ncv32u NCVMatrix< T >::_height

protected

Definition at line 791 of file NCV.hpp.

Referenced by NCVMatrix< T >::copySolid().

## _memtype

template<class T>

NCVMemoryType NCVMatrix< T >::_memtype

protected

Definition at line 793 of file NCV.hpp.

Referenced by NCVMatrix< T >::copy2D(), and NCVMatrix< T >::copySolid().

## _pitch

template<class T>

Ncv32u NCVMatrix< T >::_pitch

protected

Definition at line 792 of file NCV.hpp.

Referenced by NCVMatrix< T >::copy2D(), and NCVMatrix< T >::copySolid().

## _ptr

template<class T>

T* NCVMatrix< T >::_ptr

protected

Definition at line 789 of file NCV.hpp.

Referenced by NCVMatrix< T >::copy2D(), and NCVMatrix< T >::copySolid().

## _width

template<class T>

Ncv32u NCVMatrix< T >::_width

protected

Definition at line 790 of file NCV.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp